# -*- coding: utf-8 -*-

from haystack import indexes

from .models import Post


class PostIndex(indexes.SearchIndex, indexes.Indexable):
    text = indexes.CharField(document=True, use_template=True)

    def get_model(self):
        return Post

    def index_queryset(self, using=None):
        return self.get_model().objects.select_related().filter(
            published=True
        ).exclude(
            current_version=None
        )
